Skip to main content
GET
/
v1
/
kanban
/
pipelines
curl -X GET "https://api.whatabot.app/api/v1/kanban/pipelines?page=0&size=20" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "pipeline-uuid",
      "name": "Sales",
      "workspaceId": "workspace-uuid",
      "workspaceName": "My Workspace",
      "defaultGroupBy": null,
      "columnAggregation": null,
      "fields": [
        {
          "id": "field-uuid",
          "name": "Amount",
          "type": "currency",
          "required": false,
          "isFeatured": true,
          "order": 0,
          "options": null,
          "currency": "USD"
        }
      ],
      "stages": [
        {
          "id": "stage-uuid",
          "pipelineId": "pipeline-uuid",
          "name": "New",
          "order": 0,
          "color": "#00a884"
        }
      ],
      "createdAt": "2026-04-20T10:00:00.000Z",
      "updatedAt": "2026-04-20T10:00:00.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 20,
  "first": true,
  "last": true
}
Returns the kanban pipelines associated with the API key’s workspace, including their stages and fields.
X-Api-Key
string
required
Your API key (prefixed with wh_).

Query Parameters

page
integer
default:"0"
Page number (zero-based).
size
integer
default:"20"
Items per page (max 100).
curl -X GET "https://api.whatabot.app/api/v1/kanban/pipelines?page=0&size=20" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "pipeline-uuid",
      "name": "Sales",
      "workspaceId": "workspace-uuid",
      "workspaceName": "My Workspace",
      "defaultGroupBy": null,
      "columnAggregation": null,
      "fields": [
        {
          "id": "field-uuid",
          "name": "Amount",
          "type": "currency",
          "required": false,
          "isFeatured": true,
          "order": 0,
          "options": null,
          "currency": "USD"
        }
      ],
      "stages": [
        {
          "id": "stage-uuid",
          "pipelineId": "pipeline-uuid",
          "name": "New",
          "order": 0,
          "color": "#00a884"
        }
      ],
      "createdAt": "2026-04-20T10:00:00.000Z",
      "updatedAt": "2026-04-20T10:00:00.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 20,
  "first": true,
  "last": true
}